Index: src/Tesselation/BoundaryLineSet.cpp
===================================================================
--- src/Tesselation/BoundaryLineSet.cpp	(revision 2a3124b519027c588e363ec4c5a44171b4715777)
+++ src/Tesselation/BoundaryLineSet.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -42,5 +42,5 @@
   Nr(-1)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   for (int i = 0; i < 2; i++)
     endpoints[i] = NULL;
@@ -55,5 +55,5 @@
 BoundaryLineSet::BoundaryLineSet(BoundaryPointSet * const Point[2], const int number)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // set number
   Nr = number;
@@ -66,5 +66,5 @@
   skipped = false;
   // clear triangles list
-  LOG(0, "New Line with endpoints " << *this << ".");
+  LOG(5, "DEBUG: New Line with endpoints " << *this << ".");
 }
 ;
@@ -80,5 +80,5 @@
   skipped(false)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // set endpoints in ascending order
   SetEndpointsOrdered(endpoints, Point1, Point2);
@@ -87,5 +87,5 @@
   Point2->AddLine(this); //
   // clear triangles list
-  LOG(0, "New Line with endpoints " << *this << ".");
+  LOG(5, "DEBUG: New Line with endpoints " << *this << ".");
 }
 ;
@@ -97,5 +97,5 @@
 BoundaryLineSet::~BoundaryLineSet()
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   int Numbers[2];
 
@@ -144,6 +144,6 @@
 void BoundaryLineSet::AddTriangle(BoundaryTriangleSet * const triangle)
 {
-  Info FunctionInfo(__func__);
-  LOG(0, "Add " << triangle->Nr << " to line " << *this << ".");
+  //Info FunctionInfo(__func__);
+  LOG(5, "DEBUG: Add " << triangle->Nr << " to line " << *this << ".");
   triangles.insert(TrianglePair(triangle->Nr, triangle));
 }
@@ -156,5 +156,5 @@
 bool BoundaryLineSet::IsConnectedTo(const BoundaryLineSet * const line) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   if ((endpoints[0] == line->endpoints[0]) || (endpoints[1] == line->endpoints[0]) || (endpoints[0] == line->endpoints[1]) || (endpoints[1] == line->endpoints[1]))
     return true;
@@ -172,11 +172,11 @@
 bool BoundaryLineSet::CheckConvexityCriterion() const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   double angle = CalculateConvexity();
   if (angle > -MYEPSILON) {
-    LOG(0, "ACCEPT: Angle is greater than pi: convex.");
+    LOG(3, "ACCEPT: Angle is greater than pi: convex.");
     return true;
   } else {
-    LOG(0, "REJECT: Angle is less than pi: concave.");
+    LOG(3, "REJECT: Angle is less than pi: concave.");
     return false;
   }
@@ -190,5 +190,5 @@
 double BoundaryLineSet::CalculateConvexity() const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   Vector BaseLineCenter, BaseLineNormal, BaseLine, helper[2], NormalCheck;
   // get the two triangles
@@ -234,5 +234,5 @@
   //LOG(0, "INFO: BaselineNormal is " << BaseLineNormal << ".");
   if (NormalCheck.NormSquared() < MYEPSILON) {
-    LOG(0, "ACCEPT: Normalvectors of both triangles are the same: convex.");
+    LOG(3, "ACCEPT: Normalvectors of both triangles are the same: convex.");
     return true;
   }
@@ -248,5 +248,5 @@
 bool BoundaryLineSet::ContainsBoundaryPoint(const BoundaryPointSet * const point) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   for (int i = 0; i < 2; i++)
     if (point == endpoints[i])
@@ -262,5 +262,5 @@
 class BoundaryPointSet *BoundaryLineSet::GetOtherEndpoint(const BoundaryPointSet * const point) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   if (endpoints[0] == point)
     return endpoints[1];
@@ -278,5 +278,5 @@
 class BoundaryTriangleSet *BoundaryLineSet::GetOtherTriangle(const BoundaryTriangleSet * const triangle) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   if (triangles.size() == 2) {
     for (TriangleMap::const_iterator TriangleRunner = triangles.begin(); TriangleRunner != triangles.end(); ++TriangleRunner)
Index: src/Tesselation/BoundaryPointSet.cpp
===================================================================
--- src/Tesselation/BoundaryPointSet.cpp	(revision 2a3124b519027c588e363ec4c5a44171b4715777)
+++ src/Tesselation/BoundaryPointSet.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -45,5 +45,5 @@
   Nr(-1)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   LOG(1, "Adding noname.");
 }
@@ -59,6 +59,6 @@
   Nr(Walker->getNr())
 {
-  Info FunctionInfo(__func__);
-  LOG(1, "Adding Node " << *Walker);
+  //Info FunctionInfo(__func__);
+  LOG(5, "DEBUG: Adding Node " << *Walker);
 }
 ;
@@ -70,5 +70,5 @@
 BoundaryPointSet::~BoundaryPointSet()
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   //LOG(0, "Erasing point Nr. " << Nr << ".");
   if (!lines.empty())
@@ -83,6 +83,6 @@
 void BoundaryPointSet::AddLine(BoundaryLineSet * const line)
 {
-  Info FunctionInfo(__func__);
-  LOG(1, "Adding " << *this << " to line " << *line << ".");
+  //Info FunctionInfo(__func__);
+  LOG(5, "DEBUG: Adding " << *this << " to line " << *line << ".");
   if (line->endpoints[0] == this) {
     lines.insert(LinePair(line->endpoints[1]->Nr, line));
Index: src/Tesselation/BoundaryPolygonSet.cpp
===================================================================
--- src/Tesselation/BoundaryPolygonSet.cpp	(revision 2a3124b519027c588e363ec4c5a44171b4715777)
+++ src/Tesselation/BoundaryPolygonSet.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -44,5 +44,5 @@
   Nr(-1)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
 }
 ;
@@ -54,7 +54,7 @@
 BoundaryPolygonSet::~BoundaryPolygonSet()
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   endpoints.clear();
-  LOG(1, "Erasing polygon Nr." << Nr << " itself.");
+  LOG(5, "DEBUG: Erasing polygon Nr." << Nr << " itself.");
 }
 ;
@@ -67,5 +67,5 @@
 Vector * BoundaryPolygonSet::GetNormalVector(const Vector &OtherVector) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // get normal vector
   Vector TemporaryNormal;
@@ -97,5 +97,5 @@
   if (TotalNormal->ScalarProduct(OtherVector) > 0.)
     TotalNormal->Scale(-1.);
-  LOG(1, "Normal Vector is " << *TotalNormal << ".");
+  LOG(4, "DEBUG: Normal Vector is " << *TotalNormal << ".");
 
   return TotalNormal;
@@ -109,5 +109,5 @@
 void BoundaryPolygonSet::GetCenter(Vector * const center) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   center->Zero();
   int counter = 0;
@@ -117,5 +117,5 @@
   }
   center->Scale(1. / (double) counter);
-  LOG(1, "Center is at " << *center << ".");
+  LOG(4, "DEBUG: Center of BoundaryPolygonSet is at " << *center << ".");
 }
 
@@ -126,5 +126,5 @@
 bool BoundaryPolygonSet::ContainsBoundaryTriangle(const BoundaryTriangleSet * const triangle) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   return ContainsPresentTupel(triangle->endpoints, 3);
 }
@@ -137,5 +137,5 @@
 bool BoundaryPolygonSet::ContainsBoundaryLine(const BoundaryLineSet * const line) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   return ContainsPresentTupel(line->endpoints, 2);
 }
@@ -148,13 +148,11 @@
 bool BoundaryPolygonSet::ContainsBoundaryPoint(const BoundaryPointSet * const point) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   for (PointSet::const_iterator Runner = endpoints.begin(); Runner != endpoints.end(); Runner++) {
-    LOG(0, "Checking against " << **Runner);
     if (point == (*Runner)) {
-      LOG(0, " Contained.");
+      LOG(4, "DEBUG: Checking against " << **Runner << ": Contained.");
       return true;
     }
   }
-  LOG(0, " Not contained.");
   return false;
 }
@@ -167,11 +165,10 @@
 bool BoundaryPolygonSet::ContainsBoundaryPoint(const TesselPoint * const point) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   for (PointSet::const_iterator Runner = endpoints.begin(); Runner != endpoints.end(); Runner++)
     if (point == (*Runner)->node) {
-      LOG(0, " Contained.");
+      LOG(4, "DEBUG: Checking against " << **Runner << ": Contained.");
       return true;
     }
-  LOG(0, " Not contained.");
   return false;
 }
@@ -185,9 +182,9 @@
 bool BoundaryPolygonSet::ContainsPresentTupel(const BoundaryPointSet * const * Points, const int dim) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   int counter = 0;
-  LOG(1, "Polygon is " << *this);
+  LOG(5, "DEBUG Polygon is " << *this);
   for (int i = 0; i < dim; i++) {
-    LOG(1, " Testing endpoint " << *Points[i]);
+    LOG(5, "DEBUG: Testing endpoint " << *Points[i]);
     if (ContainsBoundaryPoint(Points[i])) {
       counter++;
@@ -208,9 +205,9 @@
 bool BoundaryPolygonSet::ContainsPresentTupel(const PointSet &endpoints) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   size_t counter = 0;
-  LOG(1, "Polygon is " << *this);
+  LOG(5, "DEBUG: Polygon is " << *this);
   for (PointSet::const_iterator Runner = endpoints.begin(); Runner != endpoints.end(); Runner++) {
-    LOG(1, " Testing endpoint " << **Runner);
+    LOG(5, "DEBUG:  Testing endpoint " << **Runner);
     if (ContainsBoundaryPoint(*Runner))
       counter++;
@@ -239,5 +236,5 @@
 TriangleSet * BoundaryPolygonSet::GetAllContainedTrianglesFromEndpoints() const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   pair<TriangleSet::iterator, bool> Tester;
   TriangleSet *triangles = new TriangleSet;
@@ -250,9 +247,9 @@
           Tester = triangles->insert(Sprinter->second);
           if (Tester.second)
-            LOG(0, "Adding triangle " << *(Sprinter->second));
+            LOG(4, "DEBUG: Adding triangle " << *(Sprinter->second));
         }
       }
 
-  LOG(1, "The Polygon of " << endpoints.size() << " endpoints has " << triangles->size() << " unique triangles in total.");
+  LOG(3, "DEBUG: The Polygon of " << endpoints.size() << " endpoints has " << triangles->size() << " unique triangles in total.");
   return triangles;
 }
@@ -265,14 +262,14 @@
 bool BoundaryPolygonSet::FillPolygonFromTrianglesOfLine(const BoundaryLineSet * const line)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   pair<PointSet::iterator, bool> Tester;
   if (line == NULL)
     return false;
-  LOG(1, "Filling polygon from line " << *line);
+  LOG(3, "DEBUG: Filling polygon from line " << *line);
   for (TriangleMap::const_iterator Runner = line->triangles.begin(); Runner != line->triangles.end(); Runner++) {
     for (int i = 0; i < 3; i++) {
       Tester = endpoints.insert((Runner->second)->endpoints[i]);
       if (Tester.second)
-        LOG(1, "  Inserting endpoint " << *((Runner->second)->endpoints[i]));
+        LOG(4, "DEBUG:   Inserting endpoint " << *((Runner->second)->endpoints[i]));
     }
   }
Index: src/Tesselation/BoundaryTriangleSet.cpp
===================================================================
--- src/Tesselation/BoundaryTriangleSet.cpp	(revision 2a3124b519027c588e363ec4c5a44171b4715777)
+++ src/Tesselation/BoundaryTriangleSet.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -79,8 +79,8 @@
   // set endpoints
   int Counter = 0;
-  LOG(0, "New triangle " << Nr << " with end points: ");
+  LOG(4, "DEBUG: New triangle " << Nr << " with end points: ");
   for (PointMap::iterator runner = OrderMap.begin(); runner != OrderMap.end(); runner++) {
     endpoints[Counter] = runner->second;
-    LOG(0, " " << *endpoints[Counter]);
+    LOG(4, "DEBUG:    " << *endpoints[Counter]);
     Counter++;
   }
@@ -99,8 +99,8 @@
     if (lines[i] != NULL) {
       if (lines[i]->triangles.erase(Nr)) {
-        //LOG(0, "Triangle Nr." << Nr << " erased in line " << *lines[i] << ".");
+        //LOG(5, "DEBUG: Triangle Nr." << Nr << " erased in line " << *lines[i] << ".");
       }
       if (lines[i]->triangles.empty()) {
-        //LOG(0, *lines[i] << " is no more attached to any triangle, erasing.");
+        //LOG(5, "DEBUG: " << *lines[i] << " is no more attached to any triangle, erasing.");
         delete (lines[i]);
         lines[i] = NULL;
@@ -108,5 +108,5 @@
     }
   }
-  //LOG(0, "Erasing triangle Nr." << Nr << " itself.");
+  //LOG(5, "DEBUG: Erasing triangle Nr." << Nr << " itself.");
 }
 ;
@@ -144,5 +144,5 @@
   if (NormalVector.ScalarProduct(OtherVector) > 0.)
     NormalVector.Scale(-1.);
-  LOG(1, "Normal Vector is " << NormalVector << ".");
+  LOG(4, "DEBUG: Normal Vector of " << *this << " is " << NormalVector << ".");
 }
 ;
@@ -171,16 +171,16 @@
     Intersection = Plane(NormalVector, (endpoints[0]->node->getPosition())).GetIntersection(centerLine);
 
-    LOG(1, "INFO: Triangle is " << *this << ".");
-    LOG(1, "INFO: Line is from " << MolCenter << " to " << x << ".");
-    LOG(1, "INFO: Intersection is " << Intersection << ".");
+    LOG(4, "DEBUG: Triangle is " << *this << ".");
+    LOG(4, "DEBUG: Line is from " << MolCenter << " to " << x << ".");
+    LOG(4, "DEBUG: Intersection is " << Intersection << ".");
 
     if (Intersection.DistanceSquared(endpoints[0]->node->getPosition()) < MYEPSILON) {
-      LOG(1, "Intersection coindices with first endpoint.");
+      LOG(4, "DEBUG: Intersection coindices with first endpoint.");
       return true;
     }   else if (Intersection.DistanceSquared(endpoints[1]->node->getPosition()) < MYEPSILON) {
-      LOG(1, "Intersection coindices with second endpoint.");
+      LOG(4, "DEBUG: Intersection coindices with second endpoint.");
       return true;
     }   else if (Intersection.DistanceSquared(endpoints[2]->node->getPosition()) < MYEPSILON) {
-      LOG(1, "Intersection coindices with third endpoint.");
+      LOG(4, "DEBUG: Intersection coindices with third endpoint.");
       return true;
     }
@@ -194,12 +194,12 @@
       CrossPoint -= (endpoints[i%3]->node->getPosition());  // cross point was returned as absolute vector
       const double s = CrossPoint.ScalarProduct(helper)/helper.NormSquared();
-      LOG(1, "INFO: Factor s is " << s << ".");
+      LOG(4, "DEBUG: Factor s is " << s << ".");
       if ((s < -MYEPSILON) || ((s-1.) > MYEPSILON)) {
-        LOG(1, "INFO: Crosspoint " << CrossPoint << "outside of triangle.");
+        LOG(4, "DEBUG: Crosspoint " << CrossPoint << "outside of triangle.");
         return false;
       }
       i++;
     } while (i < 3);
-    LOG(1, "INFO: Crosspoint " << CrossPoint << " inside of triangle.");
+    LOG(4, "DEBUG: Crosspoint " << CrossPoint << " inside of triangle.");
     return true;
   }
@@ -230,7 +230,7 @@
   Vector Direction;
 
-  // 1. get intersection with plane and place in ClosestPoint
-  LOG(1, "INFO: Looking for closest point of triangle " << *this << " to " << x << ".");
-  LOG(1, "INFO: endpoints are " << endpoints[0]->node->getPosition() << ","
+  // 1. get intersection with plane
+  LOG(3, "DEBUG: Looking for closest point of triangle " << *this << " to " << x << ".");
+  LOG(3, "DEBUG: endpoints are " << endpoints[0]->node->getPosition() << ","
       << endpoints[1]->node->getPosition() << ", and " << endpoints[2]->node->getPosition() << ".");
   try {
@@ -241,7 +241,7 @@
   }
   Vector InPlane(ClosestPoint); // points from plane intersection to straight-down point
+  LOG(4, "DEBUG: Closest point on triangle plane is " << ClosestPoint << ".");
 
   // 2. Calculate in plane part of line (x, intersection)
-  LOG(2, "INFO: Closest point on triangle plane is " << ClosestPoint << ".");
 
   // Calculate cross point between one baseline and the desired point such that distance is shortest
@@ -254,12 +254,12 @@
     CrossPoint[i] = l.getClosestPoint(InPlane);
     // NOTE: direction of line is normalized, hence s must not necessarily be in [0,1] for the baseline
-    LOG(2, "INFO: Closest point on line from " << (endpoints[(i+1)%3]->node->getPosition())
+    LOG(4, "DEBUG: Closest point on line from " << (endpoints[(i+1)%3]->node->getPosition())
         << " to " << (endpoints[i%3]->node->getPosition()) << " is " << CrossPoint[i] << ".");
     CrossPoint[i] -= (endpoints[(i+1)%3]->node->getPosition());  // cross point was returned as absolute vector
     const double s = CrossPoint[i].ScalarProduct(Direction)/Direction.NormSquared();
-    LOG(2, "INFO: Factor s is " << s << ".");
+    LOG(5, "DEBUG: Factor s is " << s << ".");
     if ((s >= -MYEPSILON) && ((s-1.) <= MYEPSILON)) {
       CrossPoint[i] += (endpoints[(i+1)%3]->node->getPosition());  // make cross point absolute again
-      LOG(2, "INFO: Crosspoint is " << CrossPoint[i] << ", intersecting BoundaryLine between "
+      LOG(5, "DEBUG: Crosspoint is " << CrossPoint[i] << ", intersecting BoundaryLine between "
           << endpoints[i % 3]->node->getPosition() << " and "
           << endpoints[(i + 1) % 3]->node->getPosition() << ".");
@@ -270,5 +270,5 @@
       else
         CrossPoint[i] = (endpoints[i%3]->node->getPosition());
-      LOG(2, "INFO: Crosspoint is " << CrossPoint[i] << ", intersecting outside of BoundaryLine between "
+      LOG(5, "DEBUG: Crosspoint is " << CrossPoint[i] << ", intersecting outside of BoundaryLine between "
           << endpoints[i % 3]->node->getPosition() << " and "
           << endpoints[(i + 1) % 3]->node->getPosition() << ".");
@@ -297,9 +297,9 @@
     ShortestDistance = InPlane.DistanceSquared(x);
   }
-
-  LOG(1, "INFO: Closest Point is " << ClosestPoint << " with shortest squared distance is " << ShortestDistance << ".");
+  LOG(3, "DEBUG: Closest Point is " << ClosestPoint << " with shortest squared distance is " << ShortestDistance << ".");
+
   return ShortestDistance;
 }
-;
+
 
 /** Checks whether lines is any of the three boundary lines this triangle contains.
@@ -494,5 +494,5 @@
     (center) += (endpoints[i]->node->getPosition());
   center.Scale(1. / 3.);
-  LOG(1, "INFO: Center is at " << center << ".");
+  LOG(4, "DEBUG: Center of BoundaryTriangleSet is at " << center << ".");
 }
 
Index: src/Tesselation/CandidateForTesselation.cpp
===================================================================
--- src/Tesselation/CandidateForTesselation.cpp	(revision 2a3124b519027c588e363ec4c5a44171b4715777)
+++ src/Tesselation/CandidateForTesselation.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -50,5 +50,5 @@
   OtherShortestAngle(2. * M_PI)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
 }
 ;
@@ -65,5 +65,5 @@
   OtherShortestAngle(2. * M_PI)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
 };
 
@@ -84,5 +84,5 @@
 bool CandidateForTesselation::CheckValidity(const double RADIUS, const LinkedCell_deprecated *LC) const
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
 
   const double radiusSquared = RADIUS * RADIUS;
@@ -92,7 +92,7 @@
 
   if (!pointlist.empty())
-    LOG(1, "INFO: Checking whether sphere contains candidate list and baseline " << *BaseLine->endpoints[0] << "<->" << *BaseLine->endpoints[1] << " only ...");
+    LOG(3, "DEBUG: Checking whether sphere contains candidate list and baseline " << *BaseLine->endpoints[0] << "<->" << *BaseLine->endpoints[1] << " only ...");
   else
-    LOG(1, "INFO: Checking whether sphere with no candidates contains baseline " << *BaseLine->endpoints[0] << "<->" << *BaseLine->endpoints[1] << " only ...");
+    LOG(3, "DEBUG: Checking whether sphere with no candidates contains baseline " << *BaseLine->endpoints[0] << "<->" << *BaseLine->endpoints[1] << " only ...");
   // check baseline for OptCenter and OtherOptCenter being on sphere's surface
   for (list<const Vector *>::const_iterator VRunner = VectorList.begin(); VRunner != VectorList.end(); ++VRunner) {
@@ -115,10 +115,10 @@
         return false;
       } else {
-        LOG(1, "Candidate " << *Walker << " is inside by " << distance << ".");
+        LOG(3, "DEBUG: Candidate " << *Walker << " is inside by " << distance << ".");
       }
     }
   }
 
-  LOG(1, "INFO: Checking whether sphere contains no others points ...");
+  LOG(2, "DEBUG: Checking whether sphere contains no others points ...");
   bool flag = true;
   for (list<const Vector *>::const_iterator VRunner = VectorList.begin(); VRunner != VectorList.end(); ++VRunner) {
@@ -126,15 +126,17 @@
     TesselPointList *ListofPoints = LC->GetPointsInsideSphere(RADIUS, (*VRunner));
 
-    LOG(1, "The following atoms are inside sphere at " << (*VRunner) << ":");
-    for (TesselPointList::const_iterator Runner = ListofPoints->begin(); Runner != ListofPoints->end(); ++Runner)
-      LOG(1, "  " << *(*Runner) << " with distance " << (*Runner)->distance(*(*VRunner)) << ".");
+    {
+      LOG(3, "DEBUG: The following atoms are inside sphere at " << (*VRunner) << ":");
+      for (TesselPointList::const_iterator Runner = ListofPoints->begin(); Runner != ListofPoints->end(); ++Runner)
+        LOG(3, "DEBUG:  " << *(*Runner) << " with distance " << (*Runner)->distance(*(*VRunner)) << ".");
+    }
 
     // remove baseline's endpoints and candidates
     for (int i = 0; i < 2; i++) {
-      LOG(1, "INFO: removing baseline tesselpoint " << *BaseLine->endpoints[i]->node << ".");
+      LOG(3, "DEBUG: removing baseline tesselpoint " << *BaseLine->endpoints[i]->node << ".");
       ListofPoints->remove(BaseLine->endpoints[i]->node);
     }
     for (TesselPointList::const_iterator Runner = pointlist.begin(); Runner != pointlist.end(); ++Runner) {
-      LOG(1, "INFO: removing candidate tesselpoint " << *(*Runner) << ".");
+      LOG(3, "DEBUG: removing candidate tesselpoint " << *(*Runner) << ".");
       ListofPoints->remove(*Runner);
     }
Index: src/Tesselation/boundary.cpp
===================================================================
--- src/Tesselation/boundary.cpp	(revision 2a3124b519027c588e363ec4c5a44171b4715777)
+++ src/Tesselation/boundary.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -63,5 +63,5 @@
 double *GetDiametersOfCluster(const Boundaries *BoundaryPtr, const molecule *mol, Tesselation *&TesselStruct, const bool IsAngstroem)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   // get points on boundary of NULL was given as parameter
   bool BoundaryFreeFlag = false;
@@ -163,5 +163,5 @@
 Boundaries *GetBoundaryPoints(const molecule *mol, Tesselation *&TesselStruct)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   PointMap PointsOnBoundary;
   LineMap LinesOnBoundary;
@@ -328,5 +328,5 @@
 void FindConvexBorder(const molecule* mol, Boundaries *BoundaryPts, Tesselation *&TesselStruct, const LinkedCell_deprecated *LCList, const char *filename)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   bool BoundaryFreeFlag = false;
   Boundaries *BoundaryPoints = NULL;
@@ -443,5 +443,5 @@
 bool RemoveAllBoundaryPoints(class Tesselation *&TesselStruct, const molecule * const mol, const char * const filename)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   int i=0;
   char number[MAXSTRINGSIZE];
@@ -500,5 +500,5 @@
 double ConvexizeNonconvexEnvelope(class Tesselation *&TesselStruct, const molecule * const mol, const char * const filename)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   double volume = 0;
   class BoundaryPointSet *point = NULL;
@@ -614,5 +614,5 @@
 void StoreTrianglesinFile(const molecule * const mol, const Tesselation * const TesselStruct, const char *filename, const char *extraSuffix)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   PointCloudAdaptor< molecule > cloud(const_cast<molecule *>(mol), mol->name);
   // 4. Store triangles in tecplot file
@@ -651,5 +651,5 @@
 void PrepareClustersinWater(config *configuration, molecule *mol, double ClusterVolume, double celldensity)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   bool IsAngstroem = true;
   double *GreatestDiameter = NULL;
@@ -759,5 +759,5 @@
 void FillBoxWithMolecule(MoleculeListClass *List, molecule *filler, config &configuration, const double MaxDistance, const double distance[NDIM], const double boundary, const double RandomAtomDisplacement, const double RandomMolDisplacement, const bool DoRandomRotation)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   molecule *Filling = World::getInstance().createMolecule();
   Vector CurrentPosition;
@@ -1056,5 +1056,5 @@
     )
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   molecule *Filling = NULL;
   Vector CurrentPosition;
@@ -1231,5 +1231,5 @@
     const bool DoRandomRotation)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   molecule *Filling = NULL;
   Vector CurrentPosition;
@@ -1424,5 +1424,5 @@
 bool FindNonConvexBorder(molecule* const mol, Tesselation *&TesselStruct, const LinkedCell_deprecated *&LCList, const double RADIUS, const char *filename = NULL)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   bool freeLC = false;
   bool status = false;
@@ -1554,5 +1554,5 @@
 Vector* FindEmbeddingHole(MoleculeListClass *mols, molecule *srcmol)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   Vector *Center = new Vector;
   Center->Zero();
Index: src/Tesselation/ellipsoid.cpp
===================================================================
--- src/Tesselation/ellipsoid.cpp	(revision 2a3124b519027c588e363ec4c5a44171b4715777)
+++ src/Tesselation/ellipsoid.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -430,5 +430,5 @@
     Center += (Runner->second->node->getPosition());
   Center.Scale(1./T->PointsOnBoundaryCount);
-  LOG(1, "Center is at " << Center << ".");
+  LOG(4, "DEBUG: Center of PointsOnBoundary is at " << Center << ".");
 
   // Output header
